from setuptools import Extension
from Cython.Build import cythonize
import codecs
import os
from distutils.core import setup


LONG_DESCRIPTION = ''

with codecs.open(os.path.join(os.path.abspath(os.path.dirname(__file__)), "README.md"), encoding="utf-8") as fh:
    long_description = "\n" + fh.read()

setup(

    name="camSort",
    version="0.4",
    install_requires=["setuptools", "wheel", "cython"],

    ext_modules = cythonize(['camSort/stringSort.pyx']),

    author=["cameronbae / cameron jay"],
    author_email="<contact@camjay.io>",
    description="make sorted() fast for strings",
    long_description_content_type="text/markdown",
    long_description=long_description,
    keywords=['python', 'sorted', 'sort', 'camSort', 'reverse', 'list', 'strings'],
    classifiers=[
        "Development Status :: 1 - Planning",
        "Intended Audience :: Developers",
        "Programming Language :: Python :: 3",
        "Operating System :: Unix",
        "Operating System :: MacOS :: MacOS X",
        "Operating System :: Microsoft :: Windows",
    ],
)

